//
//  commandTransmission.h
//  UAV Imaging
//
//  Created by Shen Yue on 12-03-29.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#ifndef UAV_Imaging_commandTransmission_h
#define UAV_Imaging_commandTransmission_h

#define NUMBER_OF_CONNANDS  2

enum COMMAND_TYPE
{
    CMD_SHUTTER_SPEED=0,
    CMD_TEST
} commandType;

typedef struct command{
    float value[NUMBER_OF_CONNANDS];
} COMMAND;

void initCommandTransmission(void);
void cleanupCommandTransmission(void);
void commandTransmissionControl(COMMAND command,COMMAND* newCommand);
int transmitCommand(char *url,char *path);
int loadCommand(char* path,COMMAND command,COMMAND* newCommand);

#endif
